Mysqlplus gem

Hi,
I have installed Ruby 1.9.2 and mysql gem and I am trying to install
mysqlplus but I am gitting error :
ERROR: Error installing mysqlplus:
ERROR: Failed to build gem native extension.

    C:/Ruby192/bin/ruby.exe extconf.rb

checking for mysql_query() in -lmysqlclient… no
checking for main() in -lm… yes
checking for mysql_query() in -lmysqlclient… no
checking for main() in -lz… no
checking for mysql_query() in -lmysqlclient… no
checking for main() in -lsocket… no
checking for mysql_query() in -lmysqlclient… no
checking for main() in -lnsl… no
checking for mysql_query() in -lmysqlclient… no
checking for main() in -lmygcc… no
checking for mysql_query() in -lmysqlclient… no

*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers.

Is there anyone know how to solve this problem
regards,

rubix Rubix wrote in post #1039987:

Hi,
I have installed Ruby 1.9.2 and mysql gem and I am trying to install
mysqlplus but I am gitting error :
ERROR: Error installing mysqlplus:
ERROR: Failed to build gem native extension.

I don’t think mysqlplus gem works under Windows.

Contact gem author:

Is there any particular reason you need mysqlplus?


Luis L.

thx for the answer
I need mysqlplus to work with non blocking sql queries, I have a script
that download information from internet (open-uri), I parse and I commit
information to a mysql database, I notice that a considerable time is
lost when trying to commit to db so I found about EventMachine and
mysqlplus to solve that but apparently I can’t install it
else I am reading about RabbitMQ to see if it can help
Have you any idea how can I solve this problem?

regards,

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs